InnoDB Plugin 1.0 for MySQL 5.1 User's Guide  /  Upgrading the InnoDB Plugin

Chapter 10. Upgrading the InnoDB Plugin

Thanks to the pluggable storage engine architecture of MySQL, upgrading the InnoDB Plugin should be a simple matter of shutting down MySQL, replacing a platform-specific executable file, and restarting the server. If you wish to upgrade and use your existing database, it is essential to perform a slow shutdown, or the new plugin may fail when merging buffered inserts or purging deleted records. If your database does not contain any compressed tables, you should be able to use your database with the newest InnoDB Plugin without problems after a slow shutdown.

However, if your database contains compressed tables, it may not be compatible with InnoDB Plugin 1.0.8. Because of an incompatible change introduced in InnoDB Plugin version 1.0.2, some compressed tables may need to be rebuilt, as noted in Section 10.3, “Converting Compressed Tables Created Before Version 1.0.2”. Please follow these steps carefully.

You may, of course, rebuild your database using mysqldump or other methods. This may be a preferable approach if your database is small or there are many referential constraints among tables.

Note that once you have accessed your database with InnoDB Plugin 1.0.8, you should not try to use it with the Plugin prior to 1.0.2.

Download this Manual
PDF (US Ltr) - 1.3Mb
PDF (A4) - 1.3Mb
EPUB - 269.7Kb
HTML Download (TGZ) - 209.6Kb
HTML Download (Zip) - 234.2Kb
User Comments
Sign Up Login You must be logged in to post a comment.